# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution    
#    Copyright (C) 2011 Juanjo Abenza. All Rights Reserved
#    d$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
{
    "name" : "Training Moodle",
    "version" : "1.0",
    "author" : "Juanjo Abenza",
    "website" : " ",
    "category" : "Training",
    "description": """Synchronizes Training objects to Moodle""",
    "depends" : ['training'],
    "init_xml" : [ ],
    "demo_xml" : [ ],
    "update_xml" : [
        'moodle_connection_view.xml',
        'training_moodle_course_view.xml',
        'imports_moodle_subscriptions_view.xml',
        'wizard/wizard_import_courses.xml',
        'wizard/wizard_import_users.xml',
        'wizard/wizard_import_subscriptions.xml',
        'wizard/wizard_export_contacts_view.xml',
        'wizard/wizard_export_courses_view.xml',
        'wizard/wizard_export_subscriptions_view.xml',
        'link_connection_contact_view.xml',    
        'link_connection_course_view.xml',
        'link_connection_subscription_view.xml',
		'inherit_moodle_offer_view.xml',
        'inherit_moodle_course_view.xml',
        'update_moodle_user_view.xml',
	'security/training_moodle_security.xml',
	'security/ir.model.access.csv'

    ],
    "installable": True,
}
