# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2011 Juanjo Abenza. All Rights Reserved
#    d$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import urllib
import urllib2
from xml.dom import minidom

class mdl_connection:
    ''' S'encarrega d'enllaçar el token i la funcio webservice per establir la connexio'''

    def conn_rest_NOVIEMBRE(self, url, token, function):
        dat = url + '?wstoken=' + token + '&wsfunction=' + function
        usock = urllib.urlopen(dat)
        xmldoc = minidom.parse(usock)
        usock.close()
        return xmldoc

    def conn_rest(self, url, token, function):
        data = 'wstoken=' + token + '&wsfunction=' + function
        request = urllib2.Request(url, data.encode('utf-8'))
        f = urllib2.urlopen(request)
        result = f.read()
        f.close()
        return result

    def rest_protocol(self, url, token, params, function=None, key_word=None):
        if function is None:
            function = ""
        if key_word is None:
            key_word = ""
        count = 0
        for param in params:
            if type(param) is dict:
                for item in iter(param):
                    function += '&%s[%s][%s]=' % (key_word, str(count), item)
                    function += '%s' % param[item]
            else:
                function += '&%s[%s]=' % (key_word, str(count))
                function += '%s' % param
            count += 1
        return self.conn_rest(url, token, function)

    def get_user_by_courseid(self, url, token, params):
        function = 'moodle_enrol_get_enrolled_users'
        key_word = 'courseid'
        return self.rest_protocol(url, token, params, function, key_word)
