# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution    
#    Copyright (C) 2011 Juanjo Abenza. All Rights Reserved
#    d$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv, fields

class training_moodle_connection(osv.osv):
    ''' Connection data object '''
    _name = 'training.moodle.connection'

    _columns = {
        'name':fields.char('Connection name', size=64, required=True,
                           readonly=False),
        'url': fields.char('Moodle URL', size=64, required=True, readonly=False,
                           help='URL to access'),
        'token': fields.char('Moodle token', size=35, required=True,
                    readonly=False,
                    help='Token introduced in the configuration of Moodle'),
    }

training_moodle_connection()
